Bug 801660 - [audit-viewer] Traceback 'NotImplementedError' produces when selecting 'Current Cell' submenu of Audit Viewer.
[audit-viewer] Traceback 'NotImplementedError' produces when selecting 'Curre...
Product: Fedora
Classification: Fedora
Component: audit-viewer (Show other bugs)
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Desktop, i18n
Depends On:
  Show dependency treegraph
Reported: 2012-03-09 00:55 EST by Lijun Li
Modified: 2012-09-25 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-25 12:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
[audit-viewer] Traceback 'NotImplementedError' produces when selecting 'Current Cell' submenu of Audit Viewer. (191.49 KB, image/png)
2012-03-09 01:01 EST, Lijun Li
no flags Details
backtrace file (430 bytes, text/plain)
2012-03-09 01:04 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-03-09 00:55:29 EST
Description of problem:
Traceback 'NotImplementedError' produces when selecting 'Current Cell' submenu of Audit Viewer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora-17-Nightly-20120305.08-x86_64-Live-desktop.iso from 

2. Run command audit-viewer
* If not installed, As root run "yum install audit-viewer" 

3. Click 'Window -> New Report...' menu from the 'Audit Viewer' main window,
and click the 'Cancel' button on the 'Report * Properties' pops-up window.

4. Click 'View -> List Events for -> Current Cell/Current Row/Current Column' menu from the 'Audit Viewer' main window.

Actual results:
Traceback 'NotImplementedError' produces when selecting 'Current Cell/Current Row/Current Column' submenu of Audit Viewer.

Expected results:
Should have no traceback.

Additional info:
It's reproduced on en_US, and also reproduced on f16
Comment 1 Lijun Li 2012-03-09 01:01:49 EST
Created attachment 568820 [details]
[audit-viewer] Traceback 'NotImplementedError' produces when selecting 'Current Cell' submenu of Audit Viewer.
Comment 2 Lijun Li 2012-03-09 01:04:47 EST
Created attachment 568821 [details]
backtrace file
Comment 3 Miloslav Trmač 2012-09-21 13:14:00 EDT
Thanks for your report.
Comment 4 Miloslav Trmač 2012-09-21 21:52:17 EDT
Fixed in f18 and rawhide audit-viewer-0.7.4-1.
Comment 5 Fedora Update System 2012-09-21 21:53:08 EDT
audit-viewer-0.7.4-1.fc18 has been submitted as an update for Fedora 18.
Comment 6 Fedora Update System 2012-09-22 02:33:32 EDT
Package audit-viewer-0.7.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audit-viewer-0.7.4-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-25 12:35:31 EDT
audit-viewer-0.7.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.